org.apache.groovy.internal.metaclass

## Class MetaClassConstant<T>

- java.lang.Object
- - org.apache.groovy.internal.metaclass.MetaClassConstant<T>

-     @Incubating
      public final class MetaClassConstant<T>
      extends java.lang.Object

  The one and only implementation of a meta class. INTERNAL USE ONLY.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetaClassConstant(java.lang.Class<T> clazz)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MetaMethod` | `getMethod(java.lang.String name, java.lang.Class[] parameters)`
    `java.lang.invoke.SwitchPoint` | `getSwitchPoint()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetaClassConstant

          public MetaClassConstant(java.lang.Class<T> clazz)

  - ### Method Detail

    - #### getSwitchPoint

          public java.lang.invoke.SwitchPoint getSwitchPoint()

    - #### getMethod

          public MetaMethod getMethod(java.lang.String name,
                                      java.lang.Class[] parameters)